%% calculations%%%

%%count non presses as "absent minded" 
subjects(subjects==0)=3


%%% Analysis
 
 for n=1:34
MW(:,n)=mean(subjects(:,n)); 
 [DFAobj,DFA_exp] = doDFA((subjects(:,n)),[2 60],[1 length((subjects(:,n)))],0.5);
DFA(:,n)=DFA_exp;
 end

 
figure
scatter ( DFA',MW,25,'k','fill')
    xlabel('DFA of reaction times [2 60]','Fontsize',10)
  ylabel('performance [ms] ')
  title(['correlation between DFA of performance and reactiontime'],'Fontsize',14)
[rho,pval] = corrcoef(DFA',MW)
  lsline
B=pval(1,2)
R=rho(1,2)
TeXString = texlabel(['p=',num2str(B)]);
text(0.8,900,TeXString)
TeXString2 = texlabel(['R^2=',num2str(R)]);
text(0.8,880,TeXString2)


AvDFA=mean(DFA)
AVMW=mean(MW)
stdDFA=std(DFA)
stdMW=std(MW)

%%
%random shuffle test

subjectsshuff=[]
for n=1:34
val=subjects(:,n);
ix = randperm(numel(subjects(:,n)));
Ashuffled = val(ix);
subjectsshuff(:,n) =  Ashuffled;
end


MWshuff=[];
DFAshuff=[];
for n=1:34
  targets1= nonzeros(subjectsshuff(:,n))';
  MWshuff(:,n)=mean(targets1);
  [DFAobj,DFA_exp] = doDFA(targets1',[2 60],[1 length(targets1')],0.5);  
  DFAshuff(:,n)=DFA_exp;
end
[rho,pval] = corrcoef(DFAshuff, MWshuff)

AvDFAshuff=mean(DFAshuff)
AVMWshuff=mean(MWshuff)
